Search documentation of stripe_elixir

# StripeElixir.Services.V2.Core.EventService (stripe_elixir v0.1.0)

Copy Markdown View Source

Event

Events are generated to keep you informed of activity in your business account. APIs in the /v2 namespace generate thin events which have small, unversioned payloads that include a reference to the ID of the object that has changed. The Events v2 API returns these new thin events. Retrieve the event object for additional data about the event. Use the related object ID in the event payload to fetch the API resource of the object associated with the event. Comparatively, events generated by most API v1 include a versioned snapshot of an API object in their payload.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List Events

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve an Event

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List Events

List events, going back up to 30 days.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve an Event

Retrieves the details of an event.